[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Re: Re: Re: missing file in my package

Thank you for the information. I don't have time at the moment but i'm going to learn
about DH_COMPAT 2 and 3, specially when DH_COMPAT 1 is deprecated.

I promise that next time i build a package for esms, i'm going to use DH_COMPAT
2 or 3. Anyhow, the actual package i made works and i'd like it to be uploaded
as soon as possible (lets see if it's in time to get into woody). Could you do the NMU?


Robert Millan               Debian GNU (Hurd) user
zeratul2 wanadoo es  http://getyouriso.org/

On Mon, 9 Jul 2001 15:54:00 +0200, Eric Van Buggenhaut <ericvb@debian.org> wrote:
> This is how you could track the problem (say you want to know more about
> [eric@femto:~]$ grep -r DH_COMPAT /usr/share/doc/*
> /usr/share/doc/debhelper/TODO:* DH_COMPAT 1. Can be removed once all packages
> are seen to be using 2 or
> /usr/share/doc/debhelper/examples/rules.indep:export DH_COMPAT=3
> /usr/share/doc/debhelper/examples/rules:export DH_COMPAT=3
> /usr/share/doc/debhelper/examples/rules.multi2:export DH_COMPAT=3
> /usr/share/doc/debhelper/examples/rules.multi:export DH_COMPAT=3
> /usr/share/doc/maint-guide/maint-guide.html/ch-dreq.html:       10 export
> [eric@femto:~]$
> - First line offers me to look at /usr/share/doc/debhelper/TODO :
> Deprecated:
> * DH_COMPAT 1. Can be removed once all packages are seen to be using 2 or
>   higher. I won't hold my breath.
> - Next lines suggest that DH_COMPAT is strongly tied to debhelper, so
> [eric@femto:~]$ man debhelper
> [...]
> Debhelper compatability levels
> 	From time to time, major non-backwards-compatible changes
> 	need to be made to debhelper, to keep it clean and well-
> 	designed as needs change and its author gains more experi-
> 	ence. To prevent such major changes from breaking existing
> 	packages, the DH_COMPAT environment variable was intro-
>   	duced.  DH_COMPAT may be set to a number, to determine
> 	which major revision of debhelper should be used. There
> 	are currently 3:
> 	V1 Setting DH_COMPAT=1 (or leaving it unset) causes deb-
> 	helper to act in compatability mode.  It will use
> 	debian/tmp as the package tree directory for the first
> 	binary package listed in the control file, while using
> 	debian/<package> for all other packages listed in the
> 	control file.  This mode is deprecated.
> [etc.]
> Please keep this thread Cc'd on debian-mentors@l.d.o. Other people would be interested in
> following it as well as there might be other people on the list who could answer your question too.
> --
> Eric.VanBuggenhaut@AdValvas.be

Reply to: